import { h } from "@stencil/core";
export class DgaLoadingUsage {
    constructor() {
        this.activeStep = 1;
    }
    render() {
        return (h("div", { key: 'ba435939114d8ff988448028f3a6ec8133f6eede' }, h("h1", { key: '815df4813d0f9bc48dd8a202fbe341cfde7d80d7' }, "Loading Example"), h("div", { key: '25579add86c433e0ba1e0cfefb1cab973d4ba746', style: { padding: "50px", display: "flex", gap: "20px" } }, h("div", { key: 'e3eb329e489d75ce150e6d837cdc6f62d9a91e12', style: { display: "flex", flexDirection: "column", gap: "20px" } }, h("dga-loading", { key: '7399a2bb2d1853ac0508c17a3a0bf2401e0ebf96' })), h("div", { key: '0ceeea1dcc837193ee883e8b6d2af572e35a6c02', style: { display: "flex", flexDirection: "column", gap: "20px" } }))));
    }
    static get is() { return "dga-loading-usage"; }
    static get states() {
        return {
            "activeStep": {}
        };
    }
}
